Skip to main content
GET
Returns a list of all tax classes and their calculated tax rates for the given parameters.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Query Parameters

companyId
string<uuid>

Gets the unique identifier for the firm. Represents a key for identifying a firm within the application.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

departureCountryIso
string
taxReference
enum<integer>

0 = ShipmentAddress, 1 = BillingAddress

Available options:
0,
1
shipmentAddressVatId
string
shipmentAddressCountryIso
string
shipmentAddressState
string
billingAddressVatId
string
billingAddressCountryIso
string
billingAddressState
string
specialTaxTreatment
enum<integer>

0 = None, 1 = ReverseCharge, 2 = ExemptFromVat, 3 = SubjectToVat

Available options:
0,
1,
2,
3
taxClasses
string<uuid>[]

Response

id
string<uuid>
required

The unique identifier of the tax class.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

name
string
required

The name of the tax class

isStandard
boolean
required

Indicates if this tax class is the standard tax class

rate
number<decimal>

The tax rate in percent calculated for this tax class with the given parameters.